Interface SqlStoredEndpointBuilderFactory.SqlStoredBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SqlStoredEndpointBuilderFactory
public static interface SqlStoredEndpointBuilderFactory.SqlStoredBuilders
-
Method Summary
Modifier and TypeMethodDescriptionSQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC.SQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC.SQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC.
-
Method Details
-
sqlStored
SQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC. Category: database Since: 2.17 Maven coordinates: org.apache.camel:camel-sql- Returns:
- the dsl builder for the headers' name.
-
sqlStored
SQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC. Category: database Since: 2.17 Maven coordinates: org.apache.camel:camel-sql Syntax:sql-stored:templatePath parameter: template (required) Sets the stored procedure template to perform. You can externalize the template by using file: or classpath: as prefix and specify the location of the file. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
path- template- Returns:
- the dsl builder
-
sqlStored
default SqlStoredEndpointBuilderFactory.SqlStoredEndpointBuilder sqlStored(String componentName, String path) SQL Stored Procedure (camel-sql) Perform SQL queries as a JDBC Stored Procedures using Spring JDBC. Category: database Since: 2.17 Maven coordinates: org.apache.camel:camel-sql Syntax:sql-stored:templatePath parameter: template (required) Sets the stored procedure template to perform. You can externalize the template by using file: or classpath: as prefix and specify the location of the file. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- template- Returns:
- the dsl builder
-